%define	name		openorb
%define	Name		OpenORB
%define	version		1.2.0
%define	release		1jpp
%define	javadir		%{_datadir}/java
%define	javadocdir	%{_datadir}/javadoc
%define	section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Java CORBA Object Request Broker
License:	BSD
Group:		Development/Java
Vendor:		JPackage project
Source0:	%{Name}-%{version}-src.tgz
Patch0:		%{name}.build.patch.bz2
Url:		http://openorb.exolab.org
BuildRequires:	ant
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
OpenORB is a CORBA Object Request Broker fully developed in
Java. It fully complies with the CORBA 2.4.2 specification and 
provides a lot of features, services and extensions.

%package javadoc
Group:		Development/Java
Summary:	Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{Name}-%{version}
%patch
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

%build
# ugly workaround for xerces-j2
if [ %{javadir}/jaxp_parser.jar -ef %{javadir}/xerces-j2-wrapper.jar ]; then
	export CLASSPATH=%{javadir}/xerces-j2-apis.jar
fi
export USE_JIKES=false
ant -buildfile src/build.xml jar
ant -buildfile src/build.xml javadoc

%install
# jar
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -m 644 dist/%{name}-%{version}.jar $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
install -m 644 dist/%{name}_tools-%{version}.jar $RPM_BUILD_ROOT%{javadir}/%{name}-tools-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} ${jar/-%{version}/}; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr dist/javadoc/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc install.txt src/etc/CHANGELOG src/etc/LICENSE src/etc/README
%{javadir}/*

%files javadoc
%defattr(-,root,root)
%{javadocdir}/%{name}-%{version}

%changelog
* Wed Feb 06 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.2.0-1jpp 
- first jpp release
